Browse Source

Install python-netifaces to avoid building

Since subunit2sql requires oslo.db which requires oslo.utils which
requires netifaces which builds C extensions and does not provide
prebuilt wheels for any platform other than Windows, install
Ubuntu's python-netifaces package to avoid needing an entire build
toolchain. We're moving the servers to Xenial, which provides a
version compatible with the current oslo.utils requirements list.

Change-Id: I4c701f08cf11bc068f6ebb10534f7e6f865970bb
Jeremy Stanley 1 year ago
parent
commit
7e35c0b223
1 changed files with 4 additions and 0 deletions
  1. 4
    0
      manifests/init.pp

+ 4
- 0
manifests/init.pp View File

@@ -27,6 +27,10 @@ class subunit2sql (
27 27
     ensure => present,
28 28
   }
29 29
 
30
+  package {'python-netifaces':
31
+    ensure => present,
32
+  }
33
+
30 34
   package { 'python-subunit':
31 35
     ensure   => latest,
32 36
     provider => openstack_pip,

Loading…
Cancel
Save